#define AROS_ALMOST_COMPATIBLE
#include "global.h"
#include <string.h>

#define DEBUG 0
#include <aros/debug.h>

void LoadDiskCachePrefs(char *filename)
{
	struct MsgPort *mp;
	BPTR file = Open(filename, MODE_OLDFILE);
	char buffer[1024];
	BOOL hasDrives = FALSE;
	
	if (file)
	{
		// the file will have at least 2 lines if there are any enabled drives
		// global settings + 1 line for each enabled drive
		// disabled drives are not saved
		if (FGets(file, buffer, sizeof(buffer)) && FGets(file, buffer, sizeof(buffer)))
			hasDrives = TRUE;
		Close(file);
	}
	
	Forbid();
	mp = FindPort("DCTimerMP");
	if (mp) Signal(mp->mp_SigTask, SIGBREAKF_CTRL_D);
	Permit();

	if (!mp && hasDrives)
	{
		SystemTags("MOSSYS:C/DiskCache",
			SYS_Input, 0, SYS_Output, 0,
			SYS_Asynch, TRUE, 
			NP_PPCStackSize, 16 * 1024,
			TAG_DONE);
	}
}
